Package edu.msu.cme.rdp.classifier.io

# Class ClassificationResultFormatter

java.lang.Object
edu.msu.cme.rdp.classifier.io.ClassificationResultFormatter

public class ClassificationResultFormatter extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ClassificationResultFormatter.FORMAT`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<ClassificationResultFormatter.FORMAT>`
`fileFormats`
`static String[]`
`RANKS`
`static String[]`
`RANKS_WITHSPECIES`

## Constructor Summary

Constructors
Constructor
Description
`ClassificationResultFormatter()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getAllRankOutput(ClassificationResult result)`
`static String`
`getAllRankOutput(ClassificationResult result, double conf)`
`static String`
`getBiomOutput(String[] ranks, ClassificationResult result, float conf, char delimiter)`
Output the classification result suitable to load into biom format.
`static String`
`getDBOutput(ClassificationResult result, float conf)`
`static String`
`getFilterByConfOutput(ClassificationResult result, float conf)`
`static String`
`getFilterByConfOutput(String[] ranks, ClassificationResult result, float conf)`
`static String`
`getFixRankOutput(ClassificationResult result)`
`static String`
`getFixRankOutput(String[] ranks, ClassificationResult result)`
`static String`
`getOutput(ClassificationResult result, ClassificationResultFormatter.FORMAT format)`
`static String`
`getOutput(ClassificationResult result, ClassificationResultFormatter.FORMAT format, float conf, String[] ranks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RANKS

public static String[] RANKS

### RANKS_WITHSPECIES

public static String[] RANKS_WITHSPECIES

### fileFormats

public static final List<ClassificationResultFormatter.FORMAT> fileFormats

## Constructor Details

### ClassificationResultFormatter

public ClassificationResultFormatter()

## Method Details

### getOutput

public static String getOutput(ClassificationResult result, ClassificationResultFormatter.FORMAT format)

### getOutput

public static String getOutput(ClassificationResult result, ClassificationResultFormatter.FORMAT format, float conf, String[] ranks)

### getAllRankOutput

public static String getAllRankOutput(ClassificationResult result)

### getAllRankOutput

public static String getAllRankOutput(ClassificationResult result, double conf)

### getFixRankOutput

public static String getFixRankOutput(ClassificationResult result)

### getFixRankOutput

public static String getFixRankOutput(String[] ranks, ClassificationResult result)

### getFilterByConfOutput

public static String getFilterByConfOutput(ClassificationResult result, float conf)

### getFilterByConfOutput

public static String getFilterByConfOutput(String[] ranks, ClassificationResult result, float conf)

### getBiomOutput

public static String getBiomOutput(String[] ranks, ClassificationResult result, float conf, char delimiter)
Output the classification result suitable to load into biom format. Concatenate the rank and the taxon name, remove quotes in the taxon name

### getDBOutput

public static String getDBOutput(ClassificationResult result, float conf)